
Foreman - Feature #23040

Anonymize Audit logs

03/28/2018 08:13 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee:    

Category: Audit Log   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5393

  

Description

In order to comply with German (European?) data privacy laws, Audit logs have to be anonymized after a certain amount of time.

We should provide a rake task for this that users can run in a cron job to clean up the audit log periodically.

Related issues:

Related to Foreman - Bug #24257: command "foreman-rake reports:expire" does n... Closed

Associated revisions

Revision 72dddb83 - 04/09/2018 11:31 AM - Julian Todt

Fixes #23040 - Anonymize old audits (#5393)

Adds a rake task similar to audits:expire that instead of

deleting the entries anonymizes them.

History

#1 - 03/28/2018 02:40 PM - Marek Hulán

See #22158 and the implementation at https://github.com/theforeman/foreman/pull/5343 does that resolve your issue? Or do you want to really

anonymize but keep audits there?

#2 - 03/28/2018 02:46 PM - Timo Goebel

Thanks, Marek. I think both might make sense.

#3 - 04/03/2018 11:30 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5393 added

#4 - 04/09/2018 11:31 AM - Marek Hulán

- translation missing: en.field_release set to 330

#5 - 04/09/2018 12:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 72dddb83c8aae7062cc500794386c68cf261a0d3.

#6 - 07/16/2018 08:31 AM - Marek Hulán

- Related to Bug #24257: command "foreman-rake reports:expire" does not delete reports added
